All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 575 posts ]  Go to page Previous  1 ... 18, 19, 20, 21, 22, 23  Next
Author Message
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Wed Feb 01, 2017 7:20 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
nick0909 wrote:
Is there an easy way to get the config back to run the web server on 8080 again? I have pi-hole running on my PiAware and before they used different ports so it wasn't an issue, but now that the web interface got moved to 80 it no longer shows up because pihole is already configured there.

The config lives under /etc/lighttpd/, you can use that as a basis for whatever you want it to coexist with. I don't know how pi-hole configures things so I can't be more specific.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Thu Feb 09, 2017 1:00 am 
Offline
geckoVN - FlightAware user avatar

Joined: Sat Apr 30, 2016 12:14 pm
Posts: 7
w7psk wrote:
Did sudo apt-get update then upgrade and reboot, My ADS-B says Im still running 3.1.0?

I've been having a somewhat similar issue.

I've got two Pi3b's co-located so I can compare antennas or other changes made to one system while keeping the other as a reference.
The two were installed a few months apart, but both using SD image 3.1.0.
I can't remember, but probably downloaded the image again for the second install.

The second Pi is behaving as you'd expect with the 3.3.0 upgrade (initiated from the Web control panel).

The first on the other hand goes through the motions and happily reports a successful upgrade until it restarts, then after a reboot, it reports 3.1.0 again.

It's not a big deal, but interesting all the same.


cheers,
ian


Update:
For the sake of interest, I when 3.5.0 came out, I repeated the upgrade procedure (command on the Stats page). The Pi successfully updated and reported 3.5.0 on the Stats page as well as [local IP]:8080
As before, it reverted to 3.1.0 after a reboot (I took screen shots to prove my sanity).

At this point, I decided it was time to format the SDcard and load a fresh image (3.5.0)


Last edited by geckoVN on Wed Apr 19, 2017 11:56 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Thu Feb 09, 2017 8:32 am 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
Are you upgrading from a shell or via a command on the stats page?

The stats page command will send off an upgrade request, but there's no feedback path to say whether that request eventually succeeded or failed (you'll need to look at the logs)

My experience so far with triggering auto upgrades is that around 5% of installs have some type of problem that prevents the upgrade happening. Broken DNS, problems connecting to flightaware.com for the new packages, and sdcard corruption affecting the package management state are the three main cases I see.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Thu Feb 09, 2017 12:29 pm 
Offline
geckoVN - FlightAware user avatar

Joined: Sat Apr 30, 2016 12:14 pm
Posts: 7
obj wrote:
Are you upgrading from a shell or via a command on the stats page?

The stats page command will send off an upgrade request, but there's no feedback path to say whether that request eventually succeeded or failed (you'll need to look at the logs)

My experience so far with triggering auto upgrades is that around 5% of installs have some type of problem that prevents the upgrade happening. Broken DNS, problems connecting to flightaware.com for the new packages, and sdcard corruption affecting the package management state are the three main cases I see.

I'm initiating the upgrade from "a command on the stats page".
What is odd is that it doesn't fail. The log shows a successful upgrade and the Stats Page reports "Feeder Type: PiAware (SD Card) 3.3.0".
Then, after a restart, it reverts to 3.1.0.
As it continues to decode the whole time, it doesn't seem to be a big deal.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Thu Feb 09, 2017 1:03 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
That is completely bizarre, I don't know what is going on there.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Thu Feb 09, 2017 10:17 pm 
Offline
geckoVN - FlightAware user avatar

Joined: Sat Apr 30, 2016 12:14 pm
Posts: 7
obj wrote:
That is completely bizarre,

That's reassuring - I thought it was just me!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Fri Feb 10, 2017 9:28 pm 
Offline
astrodeveloper - FlightAware user avatar

Joined: Mon Jan 02, 2017 1:16 pm
Posts: 3
I suspect it might be a cache issue. Many of the browsers save parts of a web page to save redownloading a page or parts of a web page. Clearing the cache is a quick fix, but then you likely lose saved passwords and such.

Give it some time, perhaps reboot the pi or restart your browser. This cleans up most of my problems. YMMV. (Your mileage may vary, always less, seldom more)


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Sun Feb 12, 2017 4:54 am 
Offline
geckoVN - FlightAware user avatar

Joined: Sat Apr 30, 2016 12:14 pm
Posts: 7
astrodeveloper wrote:
I suspect it might be a cache issue. Many of the browsers save parts of a web page to save redownloading a page or parts of a web page. Clearing the cache is a quick fix, but then you likely lose saved passwords and such.

Give it some time, perhaps reboot the pi or restart your browser. This cleans up most of my problems. YMMV. (Your mileage may vary, always less, seldom more)


It's not a (PC) cache issue as the Pi continues to report 3.3.0 for weeks, but immediately after a reboot, reverts to 3.1.0 (I can send screen shots if it would help).


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Mon Feb 13, 2017 1:28 pm 
Offline
bbowers - FlightAware user avatar

Joined: Tue Aug 04, 2009 6:00 am
Posts: 2
Was looking to upgrade my install to the latest from 3.1.0... I can't find the send command option on my stats page at all. Am I missing something?

"You may upgrade by using "Send command to device" and selecting the option "Upgrade and restart PiAware" on the My ADS-B Stats page."


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Mon Feb 13, 2017 1:36 pm 
Offline
FlightAware Member
sparkie624 - FlightAware user avatar

Joined: Sat Apr 25, 2009 8:00 am
Posts: 78
Location: Salisbury NC
bbowers wrote:
Was looking to upgrade my install to the latest from 3.1.0... I can't find the send command option on my stats page at all. Am I missing something?

"You may upgrade by using "Send command to device" and selecting the option "Upgrade and restart PiAware" on the My ADS-B Stats page."



I had to download the image and then write it to the Micro SD Card in the PI from my main computer. You can download it from:

https://flightaware.com/adsb/piaware/build

Go to step 2 and that should work. that is what I had to do and it is working fine.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Mon Feb 13, 2017 1:43 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
bbowers wrote:
Was looking to upgrade my install to the latest from 3.1.0... I can't find the send command option on my stats page at all. Am I missing something?

This is unfortunately a bug with 3.1.0 package installs, they can misreport their install type which prevents the send command option from appearing.
You should be able to upgrade manually via "sudo apt-get update" / "sudo apt-get install piaware"


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.3.0)
PostPosted: Mon Feb 13, 2017 3:50 pm 
Offline
bbowers - FlightAware user avatar

Joined: Tue Aug 04, 2009 6:00 am
Posts: 2
obj wrote:
bbowers wrote:
Was looking to upgrade my install to the latest from 3.1.0... I can't find the send command option on my stats page at all. Am I missing something?

This is unfortunately a bug with 3.1.0 package installs, they can misreport their install type which prevents the send command option from appearing.
You should be able to upgrade manually via "sudo apt-get update" / "sudo apt-get install piaware"


Ok cool... this worked... now showing Feeder Type: PiAware (Debian Package Add-on) 3.3.0. Still no send command available. However, the webpage interface still shows version 3.1.0...is that normal?

EDIT: Spoke too soon, I see send command now and have updated dump1090 to 3.3.0. Thanks!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 2:37 pm 
Offline
FlightAware Staff
ericcarlson - FlightAware user avatar

Joined: Sun Jan 01, 2006 5:00 pm
Posts: 116
PiAware 3.5 is now available! See original post at start of thread for details.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 2:58 pm 
Offline
roadfun - FlightAware user avatar

Joined: Thu Jan 26, 2017 11:03 am
Posts: 41
Location: Dallas, TX
Exciting to see the new features! I don't want to reimage and am very comfortable with the command line. What is the best way to upgrade in this case? I saw the upgrade thread but it was discussing going from FA 2 to FA3 so not sure how much of the info there still applies. TIA!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:13 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
roadfun wrote:
I don't want to reimage and am very comfortable with the command line. What is the best way to upgrade in this case?

Most general / simplest case; this will upgrade all packages including both Raspbian and FlightAware-provided packages:
Code:
sudo apt-get update
sudo apt-get dist-upgrade

If you don't want to upgrade everything, you can upgrade just the specific packages:
For a piaware sdcard install:
Code:
sudo apt-get update
sudo apt-get install piaware-release

For a piaware package install:
Code:
sudo apt-get update
sudo apt-get install piaware
sudo apt-get install dump1090-fa   # if using dump1090-fa and you want to upgrade it too


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:21 pm 
Offline
mostlychris - FlightAware user avatar

Joined: Wed Jul 22, 2009 4:00 pm
Posts: 13
Like the new map options in 3.5. Is there a way to specify maps? I use carto maps because they are easiest to see aircraft trails on. How can I enable that again and still keep the other features?


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:22 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
You can tweak layers.js as before and you should get a layer-switcher icon appearing


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:25 pm 
Offline
roadfun - FlightAware user avatar

Joined: Thu Jan 26, 2017 11:03 am
Posts: 41
Location: Dallas, TX
OBJ: thanks for the quick reply and clear instructions!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:32 pm 
Offline
FlightAware Staff
david.baker - FlightAware user avatar

Joined: Thu Jan 23, 2014 12:34 pm
Posts: 164
If you have the remote update setting for piaware-config set you can manually send the "apt-get" commands without logging in.

On the flightaware website click on your my ADS-B link at the top and then go to your command interface (must be logged into your account to see the interface).
In the "send command" section select "upgrade and restart piaware". This will send the apt-get command to your box and then restart your box.

For more information about package installs we have this page:
https://flightaware.com/adsb/piaware/install


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 3:33 pm 
Offline
mostlychris - FlightAware user avatar

Joined: Wed Jul 22, 2009 4:00 pm
Posts: 13
Worked great. Thanks!


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 4:24 pm 
Offline
FlightAware Member
conligwx - FlightAware user avatar

Joined: Sat Mar 18, 2017 8:00 pm
Posts: 87
Location: EGAC/EGAD
I upgraded remotely though checked the log once it upgraded. I found a couple of failures. are these anything to worry about?

Quote:
[2017-04-03 22:17 BST] run-apt-get(10715): Restarting lighttpd..
[2017-04-03 22:17 BST] run-apt-get(10715): Setting up piaware-web (3.5.0) ...
[2017-04-03 22:17 BST] run-apt-get(10715): Restarting lighttpd..
[2017-04-03 22:17 BST] run-apt-get(10715): Setting up piaware-release (3.5.0) ...
[2017-04-03 22:17 BST] run-apt-get(10715): update-initramfs: deferring update (trigger activated)
[2017-04-03 22:17 BST] run-apt-get(10715): Setting up bladerf (2016.06) ...
[2017-04-03 22:17 BST] run-apt-get(10715): Setting up bladerf-fpga-hostedx40 (2016.06) ...
[2017-04-03 22:17 BST] run-apt-get(10715): Either your FPGA bitstream is missing, or it is out-of-date.
[2017-04-03 22:17 BST] run-apt-get(10715): Downloading FPGA bitstream from https://www.nuand.com/fpga/v0.6.0/hostedx40.rbf...
[2017-04-03 22:17 BST] run-apt-get(10715): --2017-04-03 21:17:36-- https://www.nuand.com/fpga/v0.6.0/hostedx40.rbf
[2017-04-03 22:17 BST] run-apt-get(10715): Resolving http://www.nuand.com (http://www.nuand.com)... 198.23.74.122
[2017-04-03 22:17 BST] run-apt-get(10715): Connecting to http://www.nuand.com (http://www.nuand.com)|198.23.74.122|:443... connected.
[2017-04-03 22:17 BST] run-apt-get(10715): HTTP request sent, awaiting response... 200 OK
[2017-04-03 22:17 BST] run-apt-get(10715): Length: 1191788 (1.1M)
[2017-04-03 22:17 BST] run-apt-get(10715): Saving to: /tmp/tmp.dpBHMcxxn1
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 0%[ ] 0 --.-KB/s
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 3%[ ] 40.00K 127KB/s
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 18%[===> ] 216.00K 342KB/s
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 48%[=========> ] 568.00K 683KB/s
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 98%[====================> ] 1.12M 1007KB/s
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1 100%[=====================>] 1.14M 1023KB/s in 1.1s
[2017-04-03 22:17 BST] run-apt-get(10715): 2017-04-03 21:17:38 (1023 KB/s) - /tmp/tmp.dpBHMcxxn1 saved [1191788/1191788]
[2017-04-03 22:17 BST] run-apt-get(10715): /tmp/tmp.dpBHMcxxn1: OK
[2017-04-03 22:17 BST] run-apt-get(10715): Download successful, copying to /usr/share/Nuand/bladeRF/hostedx40.rbf
[2017-04-03 22:17 BST] run-apt-get(10715): Processing triggers for libc-bin (2.19-18+deb8u7) ...
[2017-04-03 22:17 BST] run-apt-get(10715): Processing triggers for initramfs-tools (0.120+deb8u2) ...
[2017-04-03 22:17 BST] run-apt-get(10715): ln: failed to create hard link /boot/initrd.img-4.4.0-1-rpi2.dpkg-bak => /boot/initrd.img-4.4.0-1-rpi2: Operation not permitted
[2017-04-03 22:17 BST] run-apt-get(10715): update-initramfs: Generating /boot/initrd.img-4.4.0-1-rpi2
[2017-04-03 22:17 BST] mlat-client(5808): Input connected to localhost:30005
[2017-04-03 22:17 BST] mlat-client(5808): Input format changed to BEAST, 12MHz clock
[2017-04-03 22:17 BST] mlat-client(5808): Beast-format results connection with 127.0.0.1:30104: connection established
[2017-04-03 22:17 BST] ADS-B data program 'dump1090-fa' is listening on port 30005, so far so good
[2017-04-03 22:17 BST] Starting faup1090: /usr/lib/piaware/helpers/faup1090 --net-bo-ipaddr localhost --net-bo-port 30005 --stdout --lat 54.634 --lon -5.672
[2017-04-03 22:17 BST] Started faup1090 (pid 14285) to connect to dump1090-fa
[2017-04-03 22:18 BST] run-apt-get(10715): rpi-bootconfig: recording update of initramfs for kernel 4.4.0-1-rpi2
[2017-04-03 22:18 BST] run-apt-get(10715): ln: failed to create hard link /boot/initrd.img-4.4.0-1-rpi.dpkg-bak => /boot/initrd.img-4.4.0-1-rpi: Operation not permitted
[2017-04-03 22:18 BST] run-apt-get(10715): update-initramfs: Generating /boot/initrd.img-4.4.0-1-rpi
[2017-04-03 22:18 BST] run-apt-get(10715): rpi-bootconfig: recording update of initramfs for kernel 4.4.0-1-rpi
[2017-04-03 22:18 BST] upgrade of piaware-release seemed to go OK
[2017-04-03 22:18 BST] update request complete
[2017-04-03 22:18 BST] restarting piaware. hopefully i'll be right back.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 4:30 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3459
conligwx wrote:
I upgraded remotely though checked the log once it upgraded. I found a couple of failures. are these anything to worry about?

It is normal/harmless (a bug in the Debian/Raspbian initramfs-tools package)


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 4:39 pm 
Offline
FlightAware Member
conligwx - FlightAware user avatar

Joined: Sat Mar 18, 2017 8:00 pm
Posts: 87
Location: EGAC/EGAD
obj wrote:
It is normal/harmless (a bug in the Debian/Raspbian initramfs-tools package)


Thanks for the Info. Must say love the new look of the PiAware SkyView.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 4:56 pm 
Offline
roadfun - FlightAware user avatar

Joined: Thu Jan 26, 2017 11:03 am
Posts: 41
Location: Dallas, TX
Went through the process and at first was mystified that I got version 3.5 displayed but didn't get the new map.

Then tried a different browser and voila. A caching issue. Just mentioning it in case anyone else doesn't see the change right away.


Top
 Profile  
 
 Post subject: Re: Announcing PiAware 3! (Latest version: 3.5.0)
PostPosted: Mon Apr 03, 2017 5:12 pm 
Offline
FlightAware Member
conligwx - FlightAware user avatar

Joined: Sat Mar 18, 2017 8:00 pm
Posts: 87
Location: EGAC/EGAD
roadfun wrote:
Went through the process and at first was mystified that I got version 3.5 displayed but didn't get the new map.

Then tried a different browser and voila. A caching issue. Just mentioning it in case anyone else doesn't see the change right away.


Yep had the same here. CTRL-F5 worked for me.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 575 posts ]  Go to page Previous  1 ... 18, 19, 20, 21, 22, 23  Next

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: CommandPost2017, Google [Bot], k6rtm, user92891 and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to: